# coding: utf-8

"""
    VRChat API Documentation


    The version of the OpenAPI document: 1.20.1
    Contact: vrchatapi.lpv0t@aries.fyi
    Generated by: https://openapi-generator.tech
"""


try:
    from inspect import getfullargspec
except ImportError:
    from inspect import getargspec as getfullargspec
import pprint
import re  # noqa: F401
import six

from vrchatapi.configuration import Configuration


class AdminUnityPackage(object):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    openapi_types = {
        'asset_url': 'str',
        'asset_version': 'int',
        'platform': 'str',
        'unity_version': 'str',
        'variant': 'str'
    }

    attribute_map = {
        'asset_url': 'assetUrl',
        'asset_version': 'assetVersion',
        'platform': 'platform',
        'unity_version': 'unityVersion',
        'variant': 'variant'
    }

    def __init__(self, asset_url=None, asset_version=None, platform=None, unity_version='2022.3.22f1-DWR', variant=None, local_vars_configuration=None):  # noqa: E501
        """AdminUnityPackage - a model defined in OpenAPI"""  # noqa: E501
        if local_vars_configuration is None:
            local_vars_configuration = Configuration.get_default_copy()
        self.local_vars_configuration = local_vars_configuration

        self._asset_url = None
        self._asset_version = None
        self._platform = None
        self._unity_version = None
        self._variant = None
        self.discriminator = None

        self.asset_url = asset_url
        self.asset_version = asset_version
        self.platform = platform
        self.unity_version = unity_version
        self.variant = variant

    @property
    def asset_url(self):
        """Gets the asset_url of this AdminUnityPackage.  # noqa: E501


        :return: The asset_url of this AdminUnityPackage.  # noqa: E501
        :rtype: str
        """
        return self._asset_url

    @asset_url.setter
    def asset_url(self, asset_url):
        """Sets the asset_url of this AdminUnityPackage.


        :param asset_url: The asset_url of this AdminUnityPackage.  # noqa: E501
        :type asset_url: str
        """
        if self.local_vars_configuration.client_side_validation and asset_url is None:  # noqa: E501
            raise ValueError("Invalid value for `asset_url`, must not be `None`")  # noqa: E501

        self._asset_url = asset_url

    @property
    def asset_version(self):
        """Gets the asset_version of this AdminUnityPackage.  # noqa: E501


        :return: The asset_version of this AdminUnityPackage.  # noqa: E501
        :rtype: int
        """
        return self._asset_version

    @asset_version.setter
    def asset_version(self, asset_version):
        """Sets the asset_version of this AdminUnityPackage.


        :param asset_version: The asset_version of this AdminUnityPackage.  # noqa: E501
        :type asset_version: int
        """
        if self.local_vars_configuration.client_side_validation and asset_version is None:  # noqa: E501
            raise ValueError("Invalid value for `asset_version`, must not be `None`")  # noqa: E501
        if (self.local_vars_configuration.client_side_validation and
                asset_version is not None and asset_version < 0):  # noqa: E501
            raise ValueError("Invalid value for `asset_version`, must be a value greater than or equal to `0`")  # noqa: E501

        self._asset_version = asset_version

    @property
    def platform(self):
        """Gets the platform of this AdminUnityPackage.  # noqa: E501

        This can be `standalonewindows` or `android`, but can also pretty much be any random Unity verison such as `2019.2.4-801-Release` or `2019.2.2-772-Release` or even `unknownplatform`.  # noqa: E501

        :return: The platform of this AdminUnityPackage.  # noqa: E501
        :rtype: str
        """
        return self._platform

    @platform.setter
    def platform(self, platform):
        """Sets the platform of this AdminUnityPackage.

        This can be `standalonewindows` or `android`, but can also pretty much be any random Unity verison such as `2019.2.4-801-Release` or `2019.2.2-772-Release` or even `unknownplatform`.  # noqa: E501

        :param platform: The platform of this AdminUnityPackage.  # noqa: E501
        :type platform: str
        """
        if self.local_vars_configuration.client_side_validation and platform is None:  # noqa: E501
            raise ValueError("Invalid value for `platform`, must not be `None`")  # noqa: E501

        self._platform = platform

    @property
    def unity_version(self):
        """Gets the unity_version of this AdminUnityPackage.  # noqa: E501


        :return: The unity_version of this AdminUnityPackage.  # noqa: E501
        :rtype: str
        """
        return self._unity_version

    @unity_version.setter
    def unity_version(self, unity_version):
        """Sets the unity_version of this AdminUnityPackage.


        :param unity_version: The unity_version of this AdminUnityPackage.  # noqa: E501
        :type unity_version: str
        """
        if self.local_vars_configuration.client_side_validation and unity_version is None:  # noqa: E501
            raise ValueError("Invalid value for `unity_version`, must not be `None`")  # noqa: E501
        if (self.local_vars_configuration.client_side_validation and
                unity_version is not None and len(unity_version) < 1):
            raise ValueError("Invalid value for `unity_version`, length must be greater than or equal to `1`")  # noqa: E501

        self._unity_version = unity_version

    @property
    def variant(self):
        """Gets the variant of this AdminUnityPackage.  # noqa: E501


        :return: The variant of this AdminUnityPackage.  # noqa: E501
        :rtype: str
        """
        return self._variant

    @variant.setter
    def variant(self, variant):
        """Sets the variant of this AdminUnityPackage.


        :param variant: The variant of this AdminUnityPackage.  # noqa: E501
        :type variant: str
        """
        if self.local_vars_configuration.client_side_validation and variant is None:  # noqa: E501
            raise ValueError("Invalid value for `variant`, must not be `None`")  # noqa: E501

        self._variant = variant

    def to_dict(self, serialize=False):
        """Returns the model properties as a dict"""
        result = {}

        def convert(x):
            if hasattr(x, "to_dict"):
                args = getfullargspec(x.to_dict).args
                if len(args) == 1:
                    return x.to_dict()
                else:
                    return x.to_dict(serialize)
            else:
                return x

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            attr = self.attribute_map.get(attr, attr) if serialize else attr
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: convert(x),
                    value
                ))
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], convert(item[1])),
                    value.items()
                ))
            else:
                result[attr] = convert(value)

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, AdminUnityPackage):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, AdminUnityPackage):
            return True

        return self.to_dict() != other.to_dict()
